scala.tools.nsc.transform

# LambdaLift

#### abstract class LambdaLift extends SubComponent with InfoTransform

Linear Supertypes
InfoTransform, Transform, SubComponent, AnyRef, Any
Known Subclasses
lambdaLift
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. LambdaLift
2. InfoTransform
3. Transform
4. SubComponent
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new LambdaLift()

### Type Members

1. #### class LambdaLifter extends Global.explicitOuter.OuterPathTransformer

2. #### class Phase extends InfoTransform.Phase

   The phase defined by this transform

3. #### abstract class StdPhase extends GlobalPhase

   A standard phase template

### Abstract Value Members

1. #### abstract val global: Global

   The global environment; overridden by instantiation in Global.

   The global environment; overridden by instantiation in Global.

   Definition Classes
     SubComponent

2. #### abstract val runsAfter: List[String]

   List of phase names, this phase should run after

   List of phase names, this phase should run after

   Definition Classes
     SubComponent

3. #### abstract val runsRightAfter: Option[String]

   Phase name this phase will attach itself to, not allowing any phase to come between it and the phase name declared

   Phase name this phase will attach itself to, not allowing any phase to come between it and the phase name declared

   Definition Classes
     SubComponent

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from LambdaLift to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (LambdaLift, B)

   Implicit information
     This member is added by an implicit conversion from LambdaLift to ArrowAssoc[LambdaLift] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### final def afterOwnPhase[T](op: ⇒ T): T

   Definition Classes
     SubComponent
   Annotations
     @inline()

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### final def beforeOwnPhase[T](op: ⇒ T): T

    Definition Classes
      SubComponent
    Annotations
      @inline()

11. #### def changesBaseClasses: Boolean

    Attributes
      protected
    Definition Classes
      InfoTransform

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def ensuring(cond: (LambdaLift) ⇒ Boolean, msg: ⇒ Any): LambdaLift

    Implicit information
      This member is added by an implicit conversion from LambdaLift to Ensuring[LambdaLift] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (LambdaLift) ⇒ Boolean): LambdaLift

    Implicit information
      This member is added by an implicit conversion from LambdaLift to Ensuring[LambdaLift] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): LambdaLift

    Implicit information
      This member is added by an implicit conversion from LambdaLift to Ensuring[LambdaLift] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): LambdaLift

    Implicit information
      This member is added by an implicit conversion from LambdaLift to Ensuring[LambdaLift] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from LambdaLift to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    Definition Classes
      SubComponent → AnyRef → Any

23. #### val internal: Boolean

    Internal flag to tell external from internal phases

    Internal flag to tell external from internal phases

    Definition Classes
      SubComponent

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def keepsTypeParams: Boolean

    Attributes
      protected
    Definition Classes
      InfoTransform

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def newPhase(prev: nsc.Phase): StdPhase

    Create a new phase which applies transformer

    Create a new phase which applies transformer

    Definition Classes
      InfoTransform → Transform → SubComponent

28. #### def newTransformer(unit: Global.CompilationUnit): Global.Transformer

    The transformer factory

    The transformer factory

    Attributes
      protected
    Definition Classes
      LambdaLift → Transform

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### def ownPhase: nsc.Phase

    The phase corresponding to this subcomponent in the current compiler run

    The phase corresponding to this subcomponent in the current compiler run

    Definition Classes
      SubComponent

32. #### val phaseName: String

    the following two members override abstract members in Transform

    the following two members override abstract members in Transform

    Definition Classes
      LambdaLift → SubComponent

33. #### def phaseNewFlags: Long

    New flags defined by the phase which are not valid before

    New flags defined by the phase which are not valid before

    Definition Classes
      SubComponent

34. #### def phaseNextFlags: Long

    New flags defined by the phase which are not valid until immediately after it

    New flags defined by the phase which are not valid until immediately after it

    Definition Classes
      SubComponent

35. #### val runsBefore: List[String]

    List of phase names, this phase should run before

    List of phase names, this phase should run before

    Definition Classes
      SubComponent

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toString(): String

    Definition Classes
      AnyRef → Any

38. #### def transformInfo(sym: Global.Symbol, tp: Global.Type): Global.Type

    Definition Classes
      LambdaLift → InfoTransform

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### def →[B](y: B): (LambdaLift, B)

    Implicit information
      This member is added by an implicit conversion from LambdaLift to ArrowAssoc[LambdaLift] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from LambdaLift to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (lambdaLift: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from LambdaLift to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (lambdaLift: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: LambdaLift

   Implicit information
     This member is added by an implicit conversion from LambdaLift to ArrowAssoc[LambdaLift] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (lambdaLift: ArrowAssoc[LambdaLift]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: LambdaLift

   Implicit information
     This member is added by an implicit conversion from LambdaLift to Ensuring[LambdaLift] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (lambdaLift: Ensuring[LambdaLift]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from InfoTransform

### Inherited from Transform

### Inherited from SubComponent

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from LambdaLift to StringAdd

### Inherited by implicit conversion any2stringfmt from LambdaLift to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from LambdaLift to ArrowAssoc[LambdaLift]

### Inherited by implicit conversion any2Ensuring from LambdaLift to Ensuring[LambdaLift]

### Ungrouped